org.eclipse.gef.dot.internal

## Class DotFileUtils

- java.lang.Object
- - org.eclipse.gef.dot.internal.DotFileUtils

    public final class DotFileUtils
    extends java.lang.Object

Static helper methods for working with files.

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `read(java.io.File file)`
`static java.lang.String` `read(java.io.InputStream is)` Reads a string from the given input stream.
`static java.io.File` `resolve(java.net.URL url)`
`static java.io.File` `write(java.lang.String text)`
`static java.io.File` `write(java.lang.String text, java.io.File destination)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### resolve

    public static java.io.File resolve(java.net.URL url)

Parameters:
  `url` - The URL to resolve (can be workspace-relative)
Returns:
  The file corresponding to the given URL

#### write

    public static java.io.File write(java.lang.String text)

Parameters:
  `text` - The string to write out to a temp file
Returns:
  The temp file containing the given string

#### write

    public static java.io.File write(java.lang.String text,
                                     java.io.File destination)

Parameters:
  `text` - The string to write out to a file
  `destination` - The file to write the string to
Returns:
  The file containing the given string

#### read

    public static java.lang.String read(java.io.File file)

Parameters:
  `file` - The file to read into a string
Returns:
  The string containing the contents of the given file

#### read

    public static java.lang.String read(java.io.InputStream is)
                                 throws java.io.IOException

Reads a string from the given input stream.

Parameters:
  `is` - The input stream to read.
Returns:
  The contents of the input stream as a `String`
Throws:
  `java.io.IOException` - In case I/O exceptions occurred.